Subject: Re: [PATCH v2 1/2] rebase: remove completely useless -C option

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Jan 2023 08:15:59 -0800

Elijah Newren <[email-masked]> writes:

> On Fri, Jan 20, 2023 at 4:05 AM Junio C Hamano <[email-masked]> wrote:
>> ...
>> That is, even when a patch does not cleanly apply with full context
>> in the incoming diff, by requiring *smaller* number of lines to
>> match, the diff *could* be forced to apply with reduced precision?
>
> Oh!  Reducing the number of lines of context to pay attention to never
> even occurred to me for whatever reason.  I'll drop the patch.

Yup.  "completely useless" on the title is less than half correct,
but still correct for a minor use case where -C is used to use
*more* context lines than the default.

We could update "rebase --apply" codepath to increase the context
lines generated by format-patch.  That would make the "completely
useless" totally incorrect ;-)